Loading...
Searching...
No Matches
GraphemeBreakProperties Struct Reference

Struct for entries of grapheme break properties. More...

`#include <graphemebreakdef.h>`

## Data Fields

utf32_t | start
| Start codepoint.
utf32_t | end
| End codepoint, inclusive.
enum GraphemeBreakClass | prop
| The grapheme breaking property.

## Detailed Description

Struct for entries of grapheme break properties.

The array of the entries must be sorted.

## Field Documentation

## end

utf32_t GraphemeBreakProperties::end

End codepoint, inclusive.

## prop

enum GraphemeBreakClass GraphemeBreakProperties::prop

The grapheme breaking property.

## start

utf32_t GraphemeBreakProperties::start

Start codepoint.

The documentation for this struct was generated from the following file:

- graphemebreakdef.h